package com.foreverwin.mesnac.anomaly.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 异常单处置
 * </p>
 *
 * @author zjw
 * @since 2021-08-12
 */

@TableName("Z_ABNORMAL_BILL_DISPOSE")

public class AbnormalBillDispose extends Model<AbnormalBillDispose> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单BO
     */
   @TableField("ABNORMAL_BILL_BO")
   private String abnormalBillBo;
    /**
     * 责任划分填报人
     */
   @TableField("DUTY_USER")
   private String dutyUser;
    /**
     * 责任划分填报时间
     */
   @TableField("DUTY_DATE_TIME")
   private LocalDateTime dutyDateTime;
    /**
     * 责任部门
     */
   @TableField("DUTY_DEPART")
   private String dutyDepart;
    /**
     * 责任分类
     */
   @TableField("DUTY_TYPE")
   private String dutyType;
    /**
     * 责任人
     */
   @TableField("PRINCIPAL_USER")
   private String principalUser;
    /**
     * 原因分析
     */
   @TableField("DUTY_CAUSE_DESCRIPTION")
   private String dutyCauseDescription;
    /**
     * 原因分类
     */
   @TableField("DUTY_CAUSE_TYPE")
   private String dutyCauseType;
    /**
     * 发送用户组
     */
   @TableField("DUTY_SEND_USER_GROUP")
   private String dutySendUserGroup;
    /**
     * 解决方案填报人
     */
   @TableField("RESOLVE_USER")
   private String resolveUser;
    /**
     * 解决方案填报时间
     */
   @TableField("RESOLVE_DATE_TIME")
   private LocalDateTime resolveDateTime;
    /**
     * 异常方案     一个字母的质量异常响应，二个字母的是设备异常响应
   X | 线下换料  ,  S | 试装,  R | 让步放心,  C | 产品报废 ,
P | 配作 ,   F |  返修 ,

 CG 常规维修,JH 计划维修,DX 大项修
     */
   @TableField("ABNORMAL_METHOD")
   private String abnormalMethod;
    /**
     * 返修工艺
     */
   @TableField("ROUTER_BO")
   private String routerBo;
    /**
     * 返修工单
     */
   @TableField("RESOLVE_SHOP_ORDER")
   private String resolveShopOrder;
    /**
     * 方案备注
     */
   @TableField("RESOLVE_REMARK")
   private String resolveRemark;
    /**
     * 发送用户组
     */
   @TableField("RESOLVE_SEND_USER_GROUP")
   private String resolveSendUserGroup;
    /**
     * 闭环关闭填报人
     */
   @TableField("CLOSED_USER")
   private String closedUser;
    /**
     * 闭环关闭填报时间
     */
   @TableField("CLOSED_DATE_TIME")
   private LocalDateTime closedDateTime;
    /**
     * 异常原因
     */
   @TableField("ABNORMAL_REASON")
   private String abnormalReason;
    /**
     * 预防措施
     */
   @TableField("BEFORE_MEASURE")
   private String beforeMeasure;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建日期
     */
   @TableField("CREATED_DATA_TIME")
   private LocalDateTime createdDataTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalBillBo() {
      return abnormalBillBo;
   }

   public void setAbnormalBillBo(String abnormalBillBo) {
      this.abnormalBillBo = abnormalBillBo;
   }

   public String getDutyUser() {
      return dutyUser;
   }

   public void setDutyUser(String dutyUser) {
      this.dutyUser = dutyUser;
   }

   public LocalDateTime getDutyDateTime() {
      return dutyDateTime;
   }

   public void setDutyDateTime(LocalDateTime dutyDateTime) {
      this.dutyDateTime = dutyDateTime;
   }

   public String getDutyDepart() {
      return dutyDepart;
   }

   public void setDutyDepart(String dutyDepart) {
      this.dutyDepart = dutyDepart;
   }

   public String getDutyType() {
      return dutyType;
   }

   public void setDutyType(String dutyType) {
      this.dutyType = dutyType;
   }

   public String getPrincipalUser() {
      return principalUser;
   }

   public void setPrincipalUser(String principalUser) {
      this.principalUser = principalUser;
   }

   public String getDutyCauseDescription() {
      return dutyCauseDescription;
   }

   public void setDutyCauseDescription(String dutyCauseDescription) {
      this.dutyCauseDescription = dutyCauseDescription;
   }

   public String getDutyCauseType() {
      return dutyCauseType;
   }

   public void setDutyCauseType(String dutyCauseType) {
      this.dutyCauseType = dutyCauseType;
   }

   public String getDutySendUserGroup() {
      return dutySendUserGroup;
   }

   public void setDutySendUserGroup(String dutySendUserGroup) {
      this.dutySendUserGroup = dutySendUserGroup;
   }

   public String getResolveUser() {
      return resolveUser;
   }

   public void setResolveUser(String resolveUser) {
      this.resolveUser = resolveUser;
   }

   public LocalDateTime getResolveDateTime() {
      return resolveDateTime;
   }

   public void setResolveDateTime(LocalDateTime resolveDateTime) {
      this.resolveDateTime = resolveDateTime;
   }

   public String getAbnormalMethod() {
      return abnormalMethod;
   }

   public void setAbnormalMethod(String abnormalMethod) {
      this.abnormalMethod = abnormalMethod;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public String getResolveShopOrder() {
      return resolveShopOrder;
   }

   public void setResolveShopOrder(String resolveShopOrder) {
      this.resolveShopOrder = resolveShopOrder;
   }

   public String getResolveRemark() {
      return resolveRemark;
   }

   public void setResolveRemark(String resolveRemark) {
      this.resolveRemark = resolveRemark;
   }

   public String getResolveSendUserGroup() {
      return resolveSendUserGroup;
   }

   public void setResolveSendUserGroup(String resolveSendUserGroup) {
      this.resolveSendUserGroup = resolveSendUserGroup;
   }

   public String getClosedUser() {
      return closedUser;
   }

   public void setClosedUser(String closedUser) {
      this.closedUser = closedUser;
   }

   public LocalDateTime getClosedDateTime() {
      return closedDateTime;
   }

   public void setClosedDateTime(LocalDateTime closedDateTime) {
      this.closedDateTime = closedDateTime;
   }

   public String getAbnormalReason() {
      return abnormalReason;
   }

   public void setAbnormalReason(String abnormalReason) {
      this.abnormalReason = abnormalReason;
   }

   public String getBeforeMeasure() {
      return beforeMeasure;
   }

   public void setBeforeMeasure(String beforeMeasure) {
      this.beforeMeasure = beforeMeasure;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDataTime() {
      return createdDataTime;
   }

   public void setCreatedDataTime(LocalDateTime createdDataTime) {
      this.createdDataTime = createdDataTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_BILL_BO = "ABNORMAL_BILL_BO";

public static final String DUTY_USER = "DUTY_USER";

public static final String DUTY_DATE_TIME = "DUTY_DATE_TIME";

public static final String DUTY_DEPART = "DUTY_DEPART";

public static final String DUTY_TYPE = "DUTY_TYPE";

public static final String PRINCIPAL_USER = "PRINCIPAL_USER";

public static final String DUTY_CAUSE_DESCRIPTION = "DUTY_CAUSE_DESCRIPTION";

public static final String DUTY_CAUSE_TYPE = "DUTY_CAUSE_TYPE";

public static final String DUTY_SEND_USER_GROUP = "DUTY_SEND_USER_GROUP";

public static final String RESOLVE_USER = "RESOLVE_USER";

public static final String RESOLVE_DATE_TIME = "RESOLVE_DATE_TIME";

public static final String ABNORMAL_METHOD = "ABNORMAL_METHOD";

public static final String ROUTER_BO = "ROUTER_BO";

public static final String RESOLVE_SHOP_ORDER = "RESOLVE_SHOP_ORDER";

public static final String RESOLVE_REMARK = "RESOLVE_REMARK";

public static final String RESOLVE_SEND_USER_GROUP = "RESOLVE_SEND_USER_GROUP";

public static final String CLOSED_USER = "CLOSED_USER";

public static final String CLOSED_DATE_TIME = "CLOSED_DATE_TIME";

public static final String ABNORMAL_REASON = "ABNORMAL_REASON";

public static final String BEFORE_MEASURE = "BEFORE_MEASURE";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATA_TIME = "CREATED_DATA_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalBillDispose{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalBillBo = " + abnormalBillBo +
         ", dutyUser = " + dutyUser +
         ", dutyDateTime = " + dutyDateTime +
         ", dutyDepart = " + dutyDepart +
         ", dutyType = " + dutyType +
         ", principalUser = " + principalUser +
         ", dutyCauseDescription = " + dutyCauseDescription +
         ", dutyCauseType = " + dutyCauseType +
         ", dutySendUserGroup = " + dutySendUserGroup +
         ", resolveUser = " + resolveUser +
         ", resolveDateTime = " + resolveDateTime +
         ", abnormalMethod = " + abnormalMethod +
         ", routerBo = " + routerBo +
         ", resolveShopOrder = " + resolveShopOrder +
         ", resolveRemark = " + resolveRemark +
         ", resolveSendUserGroup = " + resolveSendUserGroup +
         ", closedUser = " + closedUser +
         ", closedDateTime = " + closedDateTime +
         ", abnormalReason = " + abnormalReason +
         ", beforeMeasure = " + beforeMeasure +
         ", createdUser = " + createdUser +
         ", createdDataTime = " + createdDataTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}